Bug Hunting Session
Bug 66073 - Letter- and Background color : Have a "store colors" button
Summary: Letter- and Background color : Have a "store colors" button
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-23 09:54 UTC by Karl
Modified: 2018-03-08 19:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karl 2013-06-23 09:54:18 UTC
In Calc there are 2 Selectors for "Colors of text and background".

These two could be enhanced by a third "store colors button", 

SO, THAT

if any cell in the sheet is selected (which has selected colors for text and background) 

by clicking this "Store colors button"

the 2 selector are acualised to the cells values.

For the purpose of, if then another cell is selected or marked
the "stored values" simply can be transferred / applied.


kind regards
juergen




 


if al cell is selectet, the "Letter- and Background color Selectors" should 
be actualised to the cells values (to hold them),
Comment 1 Jorendc 2013-07-04 21:50:52 UTC
Mmh, sounds very useful to me :-). Thanks for reporting.

Valid enhancement request -> NEW
Comment 2 Karl 2013-07-19 12:39:25 UTC
This one was for calc only.

It would help manual editing / formatting.

Further, this Schema / Pattern could be thought over by the programmers:

I think users would like a "Store and Recall" - Button Pair

to store -for example- a tables formatting and recall it (apply it) to another,
to store borders of -i dont know- to another -i dont know-

to store "the properties of an entity aof a TYPE" 
and apply "these properties to an entity of the same TYPE"

So the properties of table must not / need not to be applicable to an entity of an entity which is not a table.

A catalog could be generated in background / may be stored within the file too:
For each new Type of entity -on which the properties are stored by the user-
could be evaluated, if a "Recall / Apply to another" entity is requested by button.

If none is stored, none should be applied.


Kind regards
karl
Comment 3 Karl 2013-07-19 12:46:12 UTC
This might be thought over for all libreoffice applications, i forgot.

:-)
Comment 4 Buovjaga 2018-03-08 19:10:56 UTC
I think this is very well achieved with the cell styles "New style from selection". Closing.